Win-Server Plugin funktioniert nicht

Hallo,
bei mir aktuell 2 Probleme:
1)
Win2012 Systeme (ungeklärt)
2)
Groß & Kleinschreibung der Namen musst 100%tig passen.
Ggf. nach Änderungen Clients neu bauen.
Gruß

Einziges Problem welches ich mir bei 2012 vorstellen kann ist eine veraltete Powershell Version.
Für alle Supporteten Windows Versionen ist Powershell 5.1 eigentlich Pflicht und steht zur Verfügung selbst für alte Systeme wie 2012 oder sogar noch 2008.

Win10 und Server2016 aufwärts haben alle PS 5.1 schon dabei.

Danke,
lass ich klären.
Gruß und Danke